/* flaneth - flash and ethernet
   Copyright (C) 2007-2012 Stefan Schuermans <stefan@blinkenarea.org>
   Copyleft: GNU public license V2 - http://www.gnu.org/copyleft/gpl.html
   a BlinkenArea project - http://www.blinkenarea.org/ */

#ifndef INC_checksum
#define INC_checksum

// generate a checksum
// also includes Pseudo1 and Pseudo2 in the checksum - set to 0x0000 for
// normal operation
// can also be used to check a checksum (returns 0 if correct)
extern unsigned short Checksum(unsigned char *pData, unsigned short Length,
                               unsigned short Pseudo1,
                               unsigned short Pseudo2);

#endif // #ifdef INC_checksum
