/* flaneth - flash and ethernet
   Copyright (C) 2007-2012 Stefan Schuermans <stefan@blinkenarea.org>
   Copyleft: GNU public license V2 - http://www.gnu.org/copyleft/gpl.html
   a BlinkenArea project - http://www.blinkenarea.org/ */

#ifndef INC_ethernet
#define INC_ethernet

// header of an ethernet packet
struct EthernetHeader {
  unsigned char Dest[6];
  unsigned char Src[6];
  unsigned short Type;
};

// an ethernet packet
struct EthernetPacket {
  struct EthernetHeader EthHdr;
};

// process a received ethernet packet
extern void EthernetRecv(unsigned char *pData, unsigned short Length);

// send an ethernet packet
// pData must point to a struct EthernetPacket with EthHdr.Dest and
// EthHdr.Type already initialized
extern void EthernetSend(unsigned char *pData, unsigned short Length);

#endif // #ifdef INC_ethernet
