/* flaneth - flash and ethernet
   Copyright (C) 2007-2012 Stefan Schuermans <stefan@blinkenarea.org>
   Copyleft: GNU public license V2 - http://www.gnu.org/copyleft/gpl.html
   a BlinkenArea project - http://www.blinkenarea.org/ */

#ifndef INC_app_cfg
#define INC_app_cfg

#include "dosfs.h"

/**
 * @brief update configuration
 * @param[in] sectorBuf scratch buffer to store a sector
 * @param[in] vi volume information structure
 */
extern void AppCfgRun(uint8_t sectorBuf[SECTOR_SIZE], VOLINFO *vi);

#endif // #ifndef INC_app_cfg

